package com.gh.common.chain

import android.content.Context
import com.gh.common.simulator.NewSimulatorGameManager
import com.gh.common.simulator.SimulatorGameManager
import com.gh.gamecenter.feature.entity.GameEntity

class UpdateNewSimulatorHandler: ChainHandler() {

    override fun handleRequest(context: Context, gameEntity: GameEntity) {
        if (SimulatorGameManager.isSimulatorGame(gameEntity)) {
            if (NewSimulatorGameManager.shouldShowUpdateNewSimulatorAlert(context)) {
                NewSimulatorGameManager.showUpdateNewsSimulator(context) {
                    if (hasNext()) {
                        getNext()?.handleRequest(context, gameEntity)
                    } else {
                        processEndCallback?.invoke(null)
                    }
                }
            }
            else{
                if (hasNext()) {
                    getNext()?.handleRequest(context, gameEntity)
                }
            }
        }
        else{
            if (hasNext()) {
                getNext()?.handleRequest(context, gameEntity)
            }
        }


    }
}